package com.propertyManagement.pay.service;

import com.propertyManagement.pay.domain.CmsPayProvider;
import com.propertyManagement.pay.domain.vo.CmsPayProviderVo;
import com.propertyManagement.pay.domain.bo.CmsPayProviderBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 支付服务商Service接口
 *
 * @author liushuai
 * @date 2025-05-12
 */
public interface IPayProviderService {

    /**
     * 查询支付服务商
     */
    CmsPayProviderVo queryById(Long id);

    /**
     * 查询支付服务商列表
     */
    TableDataInfo<CmsPayProviderVo> queryPageList(CmsPayProviderBo bo, PageQuery pageQuery);

    /**
     * 查询支付服务商列表
     */
    List<CmsPayProviderVo> queryList(CmsPayProviderBo bo);

    List<CmsPayProvider> listAllUsable();

    /**
     * 新增支付服务商
     */
    Boolean insertByBo(CmsPayProviderBo bo);

    /**
     * 修改支付服务商
     */
    Boolean updateByBo(CmsPayProviderBo bo);

    /**
     * 校验并批量删除支付服务商信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
